Skip to content

Actualizar configuración de integración externa por ID​

PUT
/third-party-config

Actualiza una configuración existente de integración con servicios de terceros usando el ID en el cuerpo de la petición.

Authorizations​

bearerAuth

JWT token de autenticación. Utilice este esquema para autenticar solicitudes con un token JWT.

TypeHTTP (bearer)

Request Body​

application/json
JSON
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"tag": "wompi_production",
"url": "https://api.wompi.co/v1",
"request_header": {
},
"request_body": "{"source":"kuenta"}",
"auth_enabled": true,
"auth_url": "https://api.wompi.co/v1/auth",
"auth_method": "string",
"auth_request_body": "{"grant_type":"client_credentials"}",
"auth_header": "Bearer",
"token_type": "Bearer",
"token_source_key": "access_token",
"auth_request_header": {
},
"token_header": true
}

Responses​

Configuración actualizada exitosamente
application/json
JSON
{
"success": true,
"message": "Third party configuration updated successfully",
"data": {
"webhook": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"tag": "wompi_production",
"url": "https://api.wompi.co/v1",
"auth_enabled": true,
"entity_id": "123e4567-e89b-12d3-a456-426614174000",
"updated_at": "2024-01-16T14:20:00Z"
}
}
}

Playground​

Server
Authorization
Body

Samples​

Powered by VitePress OpenAPI